parameters:
    pim_installer.connector_name.data_fixtures: 'Data fixtures'
    pim_installer.job_name.fixtures_category_csv: 'fixtures_category_csv'
    pim_installer.job_name.fixtures_attribute_group_csv: 'fixtures_attribute_group_csv'
    pim_installer.job_name.fixtures_channel_csv: 'fixtures_channel_csv'
    pim_installer.job_name.fixtures_locale_csv: 'fixtures_locale_csv'
    pim_installer.job_name.fixtures_currency_csv: 'fixtures_currency_csv'
    pim_installer.job_name.fixtures_group_type_csv: 'fixtures_group_type_csv'
    pim_installer.job_name.fixtures_association_type_csv: 'fixtures_association_type_csv'
    pim_installer.job_name.fixtures_attribute_csv: 'fixtures_attribute_csv'
    pim_installer.job_name.fixtures_attribute_options_csv: 'fixtures_attribute_options_csv'
    pim_installer.job_name.fixtures_family_csv: 'fixtures_family_csv'
    pim_installer.job_name.fixtures_family_variant_csv: 'fixtures_family_variant_csv'
    pim_installer.job_name.fixtures_product_model_csv: 'fixtures_product_model_csv'
    pim_installer.job_name.fixtures_product_csv: 'fixtures_product_csv'
    pim_installer.job_name.fixtures_job_yml: 'fixtures_job_yml'
    pim_installer.job_name.fixtures_user_csv: 'fixtures_user_csv'
    pim_installer.job_name.fixtures_user_role_csv: 'fixtures_user_role_csv'
    pim_installer.job_name.fixtures_user_group_csv: 'fixtures_user_group_csv'
    pim_installer.job_name.fixtures_group_csv: 'fixtures_group_csv'
    pim_installer.job.fixture_type: fixtures

services:
    # Data Fixture ----------------------------------------------------------------------------------------------------
    pim_installer.job.fixtures_category_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_category_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_category.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_attribute_group_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_attribute_group_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_installer.step.fixtures_attribute_group_csv.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_channel_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_channel_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_installer.step.fixtures_channel_csv.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_locale_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_locale_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_installer.step.fixtures_locale_csv.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_currency_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_currency_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_installer.step.fixtures_currency_csv.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_group_type_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_group_type_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_installer.step.fixtures_group_type_csv.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_association_type_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_association_type_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_association_type.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_attribute_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_attribute_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_attribute.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_attribute_options_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_attribute_options_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_attribute_option.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_family_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_family_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_family.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_family_variant_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_family_variant_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_family_variant.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_product_model_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_product_model_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_root_product_model.import'
                - '@pim_connector.step.csv_sub_product_model.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_product_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_product_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_product.import'
                - '@pim_connector.step.csv_product.import_associations'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_user_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_user_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_installer.step.fixtures_user_csv.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_user_role_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_user_role_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_installer.step.fixtures_user_role_csv.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_user_group_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_user_group_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_installer.step.fixtures_user_group_csv.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_group_csv:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_group_csv%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_group.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }

    pim_installer.job.fixtures_job_yml:
        class: '%pim_connector.job.simple_job.class%'
        arguments:
            - '%pim_installer.job_name.fixtures_job_yml%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_installer.step.fixtures_job_yml.import'
        tags:
            - { name: akeneo_batch.job, connector: '%pim_installer.connector_name.data_fixtures%', type: '%pim_installer.job.fixture_type%' }
